Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » eTrice » eTrice Plugin on STM Cube
eTrice Plugin on STM Cube [message #1850737] Tue, 15 March 2022 17:48 Go to next message
Tim Butler is currently offline Tim ButlerFriend
Messages: 9
Registered: March 2012
Junior Member
Hello,

As the STMicrolectronics STM32Cube IDE is Eclipse-based, I took a shot at installing eTrice into the IDE. It didn't work, with the attached error dialog popping up when the IDE is restarted after the install. I also noticed that existing C project Properties cannot be shown in the IDE (both Explorer and Menu).

Is this something that should, theoretically, work? Or is eTrice restricted to Eclipse sourced IDEs?

CubeIDE version is 1.9.0 (based on Eclipse 2021-12).

Thanks,
Tim Butler
Re: eTrice Plugin on STM Cube [message #1850750 is a reply to message #1850737] Wed, 16 March 2022 05:14 Go to previous messageGo to next message
Juergen Haug is currently offline Juergen HaugFriend
Messages: 6
Registered: May 2015
Junior Member
Hello Tim,
it seems that the STM32Cube IDE is using a stripped java installation and misses some functionality that is indirectly required by eTrice (Xtext -> JDT). Therefore, switching to a "regular" java installation should help. You can try to install JustJ JRE via Eclipse (Help -> Install New Software), the download site url can be found here https://download.eclipse.org/justj/jres/11/updates/release/latest/index.html. Alternatively, you can specify the java installation manually with the -vm option in the ini file https://wiki.eclipse.org/Eclipse.ini#-vm_value:_Windows_Example.
Re: eTrice Plugin on STM Cube [message #1850783 is a reply to message #1850750] Wed, 16 March 2022 20:45 Go to previous message
Tim Butler is currently offline Tim ButlerFriend
Messages: 9
Registered: March 2012
Junior Member
Hello Juergen ,

Thanks so much, that was indeed the issue. I opted to install JustJ JRE into the IDE via Help/Install New Software. Not being sure which feature to select, I chose JustJ Adoptium OpenJDK Hotspot JRE Complete, and that allowed me to install the eTrice plugins..

Best regards,
Tim
Previous Topic:[announce] eTrice moved to Eclipse GitLab
Next Topic:eTrice documentation not available
Goto Forum:
  


Current Time: Mon Dec 05 22:31:55 GMT 2022

Powered by FUDForum. Page generated in 0.02775 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top